What is meta? ×
Meta Stack Exchange is where users like you discuss bugs, features, and support issues that affect the software powering all 130 Stack Exchange communities.

I had a question here: bug in jqgrid, only the first search shows a dropdown but a new version came out that fixes the issue.

Should I go and delete this question as the issue applies to a release version that isn't relevant going forward? My point is that at one point in history it was relevant and meaningful but with this new release its no longer an issue. What is the protocol to delete no longer relevant content so it doesn't become noise on Stackoverflow or the internet.

This must be the case with lots of technology related discussions / issues.

share|improve this question

2 Answers 2

up vote 5 down vote accepted

It's still perfectly good content, and an example of a good question (something I would say should always be kept for the community). The update at the end of the question which mentions that it's no longer an issue in updated versions should serve enough (and is another example of the kind of updated and useful content we like to see).

On the subject of outdated versions of software, it's possible that somebody has a particular requirement to use that specific version. Maybe not so likely in something like jqGrid, but it's certainly common in things like IDE versions, framework versions, etc. For example, people often ask how to accomplish things which are trivial in .NET 3.5+, but they need to do it in .NET 2.0 specifically.

I guess my point is that I wouldn't want to create some kind of blanket rule or motivation to remove good content just because it's old. The popular/relevant stuff will naturally bubble to the surface and be more readily available. But this particular question and answer might help somebody someday, and for that reason alone it's worth keeping.

share|improve this answer

There are lots of version-specific tags lying around and this may be a good place to use them. If a question no longer relevant to the current version, just tag it with the version specific tag, and/or edit and leave a note saying that it applies up to version x.y.z

share|improve this answer

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .